use system versions of some things
--
diff --git a/src/musikcore/CMakeLists.txt b/src/musikcore/CMakeLists.txt
index 8309cc3..8894c15 100644
--- a/src/musikcore/CMakeLists.txt
+++ b/src/musikcore/CMakeLists.txt
@@ -1,3 +1,7 @@
+find_package(PkgConfig REQUIRED)
+pkg_check_modules(kissfft REQUIRED kissfft-float)
+pkg_check_modules(sqlite REQUIRED sqlite3)
+
 set(CORE_SOURCES
   ./c_context.cpp
   ./c_interface_wrappers.cpp
@@ -67,9 +71,6 @@ set(CORE_SOURCES
   ./support/Playback.cpp
   ./support/Preferences.cpp
   ./support/PreferenceKeys.cpp
-  ../3rdparty/src/sqlite/sqlite3.c
-  ../3rdparty/src/kiss_fft.c
-  ../3rdparty/src/kiss_fftr.c
   ../3rdparty/src/md5.c
 )
 
@@ -85,8 +86,8 @@ add_definitions(-DMCSDK_DEFINE_EXPORTS)
 add_library(musikcore SHARED ${CORE_SOURCES})
 
 set_target_properties(musikcore PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${musikcube_SOURCE_DIR}/bin)
-target_link_libraries(musikcore ${musikcube_LINK_LIBS})
-target_include_directories(musikcore BEFORE PRIVATE ${VENDOR_INCLUDE_DIRECTORIES})
+target_link_libraries(musikcore ${musikcube_LINK_LIBS} ${sqlite_LIBRARIES} ${kissfft_LIBRARIES})
+target_include_directories(musikcore BEFORE PRIVATE ${VENDOR_INCLUDE_DIRECTORIES} ${sqlite_INCLUDE_DIRS} ${kissfft_INCLUDE_DIRS})
 
 if (ENABLE_PCH MATCHES "true")
     message(STATUS "[musikcore] enabling precompiled headers")
